### Virtual Method

# CM Event generate_json

#### Declaration [src]

    gpointer
    generate_json (
      CmEvent* self,
      gpointer room
    )

#### Description

No description available.

#### Parameters

`room`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gpointer`

No description available.

The returned data is owned by the instance.
The return value can be `NULL`.